libicd-network-wlan (0.44) unstable; urgency=low

  * Fixing connection problem when trying to connect to <null> IAP. Seen
    when connecting through AnyOpenWlan service module. Value of IAP was
    not checked so connection to <null> IAP was tried and it failed. This
    causes connection icon to blink until user manually selects disconnect.
    Fixes: NB#84613

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 22 Apr 2008 09:38:55 +0300

libicd-network-wlan (0.43) unstable; urgency=low

  * We were scanning hidden IAP but got disconnected event and search
    complete was not sent to icd2. Fixes: NB#82482
  * Association timer was not removed if we got disconnected from AP.
	
 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 18 Apr 2008 13:03:01 +0300

libicd-network-wlan (0.42) unstable; urgency=low

  * icd2 wlan module will not connect to AP as requested by service module.
    Fixes: NB#84196

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 15 Apr 2008 08:13:11 +0300

libicd-network-wlan (0.41) unstable; urgency=low

  * Connection icon keeps blinking if wlancond returns 0 results.
    Fixes: NB#83911

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 11 Apr 2008 11:47:06 +0300

libicd-network-wlan (0.40) unstable; urgency=low

  * Changing connection from WEP to WPA works now. Fixes: NB#82521

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 18 Mar 2008 13:25:29 +0200

libicd-network-wlan (0.39) unstable; urgency=low

  * Internal state had still problems (powersave was unnecessary sent
    even if not necessary)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 13 Mar 2008 10:37:10 +0200

libicd-network-wlan (0.38) unstable; urgency=low

  * Coverity findings fixed. See NB#80139 for more details.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 13 Mar 2008 10:23:34 +0200

libicd-network-wlan (0.37) unstable; urgency=low

  * Search callback changed. Fixes: NB#82302
  * WLAN scan timeout set to 10sec. Fixes: NB#82184

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 12 Mar 2008 10:22:51 +0200

libicd-network-wlan (0.36) unstable; urgency=low

  * Making sure icd callbacks are only called once. Fixes: NB#82165
  * Refix for sending powersave req (making sure that the module is in
    correct state so that powersave can be sent). Fixes: NB#80620
  * Reconnect to WLAN IAP ok. Fixes: NB#82225
  * Connection timeout set to 60sec.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 10 Mar 2008 16:29:10 +0200

libicd-network-wlan (0.35) unstable; urgency=low

  * Connection timeout set to 30sec (was 120sec) and scan timeout
    to 60sec (was 120sec)
  * Debug prints changed (when checking hidden APs)
  * Statistics callback is now called in error case.
  * WLAN debug prints are now greppable.
  * Change connection works now while querying statistics. Fixes: NB#81460

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  6 Mar 2008 14:06:45 +0200

libicd-network-wlan (0.34) unstable; urgency=low

  * Return error to icd2 if connection to wlancond fails in connection phase.
  * Scan timer is now removed after scan is finished.
  * Active scan is done before connecting to SSID (this fix is related
    to bugs NB#78848 and NB#81399)
  * Refix for sending powersave req to wlancond after scan (NB#80620)
  * Change connection seems to work now. Fixes: NB#80543
  * If hidden AP scan does not return that AP, try the active scan max.
    three times. This is needed because sometimes hidden AP active scan
    does not find the AP even if was found few seconds ago.
  * Changed the version number to be more sane.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 26 Feb 2008 12:21:57 +0200

libicd-network-wlan (0.1-33) unstable; urgency=low

  * IAP name no longer escaped so that IAP settings upgrade from chinook
    works ok.
  * dmalloc support added.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 20 Feb 2008 14:07:07 +0200

libicd-network-wlan (0.1-32) unstable; urgency=low

  * Sending powersave req to wlancond after scan is completed.
  * Debug prints tweaked
  * Fixed memory leaks. Fixed: NB#80626

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 14 Feb 2008 11:20:26 +0200

libicd-network-wlan (0.1-31) unstable; urgency=low

  * Refix for adhoc network show problem. Fixes: NB#80390

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 11 Feb 2008 10:25:22 +0200

libicd-network-wlan (0.1-30) unstable; urgency=low

  * Adhoc network IAPs are shown correctly in connection manager.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri,  8 Feb 2008 15:58:12 +0200

libicd-network-wlan (0.1-29) unstable; urgency=low

  * Temporary IAPs are no longer shown as saved ones in UI. Fixes: NB#80356

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  7 Feb 2008 10:17:13 +0200

libicd-network-wlan (0.1-28) unstable; urgency=low

  * Refix for hidden AP scan. Fixes: NB#79446
  * Check that SSID is valid when doing hash lookup. Fixes: NB#79295

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  6 Feb 2008 17:10:26 +0200

libicd-network-wlan (0.1-27.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed a signal problem in a comparison that caused a warning in i386.

 -- Luciano Coelho <luciano.coelho@nokia.com>  Wed, 30 Jan 2008 16:22:37 +0200

libicd-network-wlan (0.1-27.1) unstable; urgency=low

  * Non-maintainer upload setting the ICD_NW_ATTR_AUTOCONNECT flag for
    infrastructure WLANs that are open or use WEP or WPA-PSK. Logic to do
    this taken from ICd2 where it did not belong.

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 24 Jan 2008 13:05:00 +0200

libicd-network-wlan (0.1-27) unstable; urgency=low

  * Hidden WLAN connection is now found and shown in search.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 18 Jan 2008 15:33:45 +0200

libicd-network-wlan (0.1-26) unstable; urgency=low

  * Saved adhoc connections are now listed. Fixes: NB#79324

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 16 Jan 2008 16:53:22 +0200

libicd-network-wlan (0.1-25) unstable; urgency=low

  * UTF-8 string conversion is done for SSID. Fixes: NB#79187

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 16 Jan 2008 12:15:10 +0200

libicd-network-wlan (0.1-24) unstable; urgency=low

  * Saved WLAN IAP is now shown in select connection list. Fixes: NB#79250

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 15 Jan 2008 11:29:42 +0200

libicd-network-wlan (0.1-23) unstable; urgency=low

  * Support "name" attribute in gconf. Fixes: NB#78982

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  8 Jan 2008 16:20:52 +0200

libicd-network-wlan (0.1-22) unstable; urgency=low

  * Refix for WPA2 checks. Fixes: NB#78849
  * icd2 API changes

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  3 Jan 2008 13:34:52 +0200

libicd-network-wlan (0.1-21) unstable; urgency=low

  * ICD API stop_search function prototype changed

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  2 Jan 2008 16:14:32 +0200

libicd-network-wlan (0.1-20) unstable; urgency=low

  * Check WPA2 only mode when scan results are returned and in
    connection phase. 

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed,  2 Jan 2008 13:12:50 +0200

libicd-network-wlan (0.1-19) unstable; urgency=low

  * Check dbus connection before calling dbus_set_error_from_message(),
    there were core files in corematic about this.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 27 Dec 2007 11:10:52 +0200

libicd-network-wlan (0.1-18) unstable; urgency=low

  * AP security changes are not noticed. Fixes: NB#74704

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 21 Dec 2007 10:26:10 +0200

libicd-network-wlan (0.1-17) unstable; urgency=low

  * Added wlan header file checks to configure.ac

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 17 Dec 2007 15:38:03 +0200

libicd-network-wlan (0.1-16) unstable; urgency=low

  * Statistics functions are now async.
  * Fixes: NB#77530

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 14 Dec 2007 13:44:27 +0200

libicd-network-wlan (0.1-15) unstable; urgency=low

  * Network scan is stopped if the device is in offline mode. Fixes: NB#73911

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  5 Nov 2007 15:56:56 +0200

libicd-network-wlan (0.1-14) unstable; urgency=low

  * Network attribute and wlan capability conversion functions placed in -dev
    package because they are needed in libicd-network-eap module.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 25 Oct 2007 13:30:21 +0300

libicd-network-wlan (0.1-13) unstable; urgency=low

  * Config file (schema) moved to separate package (icd2-network-wlan-config)
	
 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 19 Oct 2007 13:51:09 +0300

libicd-network-wlan (0.1-12) unstable; urgency=low

  * WLAN power saving mode is set correctly. Fixes: NB#73394

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 17 Oct 2007 15:27:15 +0300

libicd-network-wlan (0.1-11) unstable; urgency=low

  * Enabling IPv6 module in schema file.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 16 Oct 2007 15:09:20 +0300

libicd-network-wlan (0.1-10.1) unstable; urgency=low

  * Non-maintainer upload fixing network_type gconf location. Fixes: NB#66775.
  * Non-maintainer upload setting error string on WLAN disconnect.
    Fixes: NB#66472.

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 27 Aug 2007 14:46:00 +0300

libicd-network-wlan (0.1-10) unstable; urgency=low

  * Disconnection is handled correctly. Fixes: NB#65793

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 17 Aug 2007 13:47:58 +0300

libicd-network-wlan (0.1-9) unstable; urgency=low

  * Adhoc connection now works. Fixes: NB#65808

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 17 Aug 2007 13:18:45 +0300

libicd-network-wlan (0.1-8) unstable; urgency=low

  * Old connection is teared down if it exists when new connection is
    brought up.
  * Removed dangerous stuff from dbus callback functions because they
    caused crashes.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 16 Aug 2007 15:45:30 +0300

libicd-network-wlan (0.1-7) unstable; urgency=low

  * Scan timer is removed also when scan fails to return necessary ssid.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 16 Aug 2007 12:19:39 +0300

libicd-network-wlan (0.1-6) unstable; urgency=low

  * Fixed schema file

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  9 Aug 2007 10:04:06 +0300

libicd-network-wlan (0.1-5) unstable; urgency=low

  * EAP module is started before wlan so that eapd has time to start

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 26 Jun 2007 16:15:35 +0300

libicd-network-wlan (0.1-4) unstable; urgency=low

  * Using gconftool-2 directly in postinstall script.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 21 Jun 2007 14:22:55 +0300

libicd-network-wlan (0.1-3) unstable; urgency=low

  * Icd2 API changes

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 14 Jun 2007 11:57:12 +0300

libicd-network-wlan (0.1-2) unstable; urgency=low

  * Integration fixes

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu,  7 Jun 2007 15:18:04 +0300

libicd-network-wlan (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri,  13 Apr 2007 10:40:25 +0300

